# vim:expandtab:shiftwidth=2:tabstop=2:

# Copyright (C) 2016 Canonical Ltd.

# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was OxideQtQuickConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/OxideQtQuick" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

####################################################################################

set(OxideQtQuick_FOUND TRUE)

set(OxideQtQuick_VERSION_MAJOR 1)
set(OxideQtQuick_VERSION_MINOR 15)
set(OxideQtQuick_VERSION_PATCH 8)
set(OxideQtQuick_VERSION_STRING 1.15.8)

set(OxideQtQuick_LIBRARIES OxideQt::Quick)
set(OxideQtQuick_INCLUDE_DIRS
    "${PACKAGE_PREFIX_DIR}/include/x86_64-linux-gnu/oxide-qt"
    "${PACKAGE_PREFIX_DIR}/include/x86_64-linux-gnu/oxide-qt/OxideQtQuick")

set(_FIND_PACKAGE_REQUIRED)
if(OxideQtQuick_FIND_REQUIRED)
  set(_FIND_PACKAGE_REQUIRED REQUIRED)
endif()

find_package(Qt5Core ${_FIND_PACKAGE_REQUIRED})
list(APPEND OxideQtQuick_INCLUDE_DIRS ${Qt5Core_INCLUDE_DIRS})
find_package(Qt5Qml ${_FIND_PACKAGE_REQUIRED})
list(APPEND OxideQtQuick_INCLUDE_DIRS ${Qt5Qml_INCLUDE_DIRS})
find_package(Qt5Quick ${_FIND_PACKAGE_REQUIRED})
list(APPEND OxideQtQuick_INCLUDE_DIRS ${Qt5Quick_INCLUDE_DIRS})

if(NOT TARGET OxideQt::Quick)
  add_library(OxideQt::Quick SHARED IMPORTED)
  set_target_properties(
      OxideQt::Quick PROPERTIES
      "IMPORTED_LOCATION" "${PACKAGE_PREFIX_DIR}/lib/x86_64-linux-gnu/libOxideQtQuick.so.0"
      "INTERFACE_INCLUDE_DIRECTORIES" "${OxideQtQuick_INCLUDE_DIRS}"
      "INTERFACE_LINK_LIBRARIES" "Qt5::Core;Qt5::Qml;Qt5::Quick")
endif()
